/*
 * Project: irond
 * Package: src.de.fhhannover.inform.iron.dhcp.parsing
 * File:    Parser.java
 *
 * Copyright (C) 2010 Fachhochschule Hannover
 * Ricklinger Stadtweg 118, 30459 Hannover, Germany 
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.fhhannover.inform.iron.dhcp.parsing;

import java.util.ArrayList;

/**
 * Abstract Parser-Class: All parsers must derive from this class
 * 
 * @version 0.02 08 Jul 2011
 * @version 0.01 25 Nov 2009
 * 
 */
public abstract class Parser {	

	/**
	 * Parses a text containing lease-informations
	 *
	 * @param txt
	 * @return
	 */
	public abstract ArrayList<Lease> parseString(String txt);
}
